summaryrefslogtreecommitdiff
blob: 5e7de422f432efe7be69e14f720164cd790362d3 (plain)
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2

# Jason Zaman <perfinion@gentoo.org> (06 Sep 2015)
# This is masked in base/package.use.mask as Linux only.
sys-auth/consolekit -cgroups

# Michael Palimaka <kensington@gentoo.org> (03 Sep 2015)
# Native inotify support is preferred on linux.
kde-frameworks/kcoreaddons fam

# Christian Ruppert <idl0r@gentoo.org> (23 Aug 2015)
# seccomp seems completely broken currently but has been added as global default
# apparently... #558100
# https://archives.gentoo.org/gentoo-dev/message/38503d86a1c41bccfa607745467b1be7
net-dns/bind seccomp

# Matt Turner <mattst88@gentoo.org> (07 Mar 2014)
# media-libs/libomxil-bellagio keyworded on amd64/x86
media-libs/mesa openmax

# Diego Elio Pettenò (27 Aug 2012)
# The libpci access is only used for linux.
net-analyzer/net-snmp -pci

# Richard Yao <ryao@gentoo.org> (22 August 2012)
# USE=kernel-builtin is dangerous. Only those that know what they are doing
# should use it until documentation improves.
sys-fs/zfs kernel-builtin

# Diego Elio Pettenò (20 Aug 2012)
# The prevent-removal USE flag is only implemented for Linux.
sys-auth/pam_mktemp -prevent-removal

sys-devel/gcc hardened
sys-libs/glibc hardened

# Samuli Suominen <ssuominen@gentoo.org> (30 Apr 2012)
# This is replaced by native CONFIG_INOTIFY_USER support wrt #413403
=dev-libs/glib-2* fam

# Samuli Suominen <ssuominen@gentoo.org (20 Mar 2012)
# This is masked in base/package.use.mask as Linux only.
sys-auth/consolekit -acl

# Samuli Suominen <ssuominen@gentoo.org> (10 Jan 2012)
# Masked in base/package.use.mask as Linux -only feature
app-arch/libarchive -e2fsprogs

# Diego E. Pettenò <flameeyes@gentoo.org> (20 Aug 2009)
#
# Mask oss USE flag for PulseAudio; it's present for compatibility
# with FreeBSD and other operating systems that have no better
# interfaces, but people would probably abuse it with Linux as well.
#
# Older versions also had an OSS compatibility wrapper on that USE so
# they are excluded.
>=media-sound/pulseaudio-0.9.16_rc5 oss

# Diego E. Pettenò <flameeyes@gentoo.org> (27 Mar 2011)
#
# Unmask pdnsd's Linux-specific USE flags.
net-dns/pdnsd -isdn -urandom